package com.base.datarecovery.bean

import com.base.datarecovery.utils.FileHexEx.isDoc
import com.base.datarecovery.utils.FileHexEx.isDocx
import com.base.datarecovery.utils.FileHexEx.isPPT
import com.base.datarecovery.utils.FileHexEx.isPPTX
import com.base.datarecovery.utils.FileHexEx.isPdf
import com.base.datarecovery.utils.FileHexEx.isXls
import com.base.datarecovery.utils.FileHexEx.isXlsx
import java.io.File

data class RecoveryBean(
    val path: String = "",
) {
    var isSelect: Boolean = false
    var isThumbnails: Boolean = false
    var type: String = ""

    companion object {
        fun RecoveryBean.setType() {
            val file = File(path)
            if (isPdf(file)) {
                type = "PDF"
            }
            if (isDocx(file) || isDoc(file)) {
                type = "DOC"
            }
            if (isXlsx(file) || isXls(file)) {
                type = "XLS"
            }
            if (isPPTX(file) || isPPT(file)) {
                type = "PPT"
            }
        }
    }
}